//
//  CPDFImageView.m
//  PDFViewer
//
//  Created by kdan on 2022/11/16.
//

#import "CPDFImageView.h"
#import "Masonry.h"

#define KSCREEN_WIDTH [[UIScreen mainScreen] bounds].size.width
#define KSCREEN_HEIGHT [[UIScreen mainScreen] bounds].size.height


@implementation CPDFImageView

- (instancetype)initWithFrame:(CGRect)frame {
    
    if (self = [super initWithFrame:frame]) {
        [self createView];
        [self assignData];
    }
    
    return self;
}

- (void)layoutSubviews {
    [super layoutSubviews];
    [self createFrame];
//    [self addConstraint];
}

- (void)createView {
    
    _opacitySlider = [[UISlider alloc] init];
    _imageScaleSlider = [[UISlider alloc] init];
    _tileSwitch = [[UISwitch alloc] init];
    _rangeLabel = [[UILabel alloc] init];
    _tileLabel = [[UILabel alloc] init];
    _sizeLabel = [[UILabel alloc] init];
    _opacityLabel = [[UILabel alloc] init];
    
    _verticalField = [[UITextField alloc] init];
    _verticalField.borderStyle = UITextBorderStyleRoundedRect;
    
    _verticalLabel = [[UILabel alloc] init];
    
    _horizontalField = [[UITextField alloc] init];
    _horizontalField.borderStyle = UITextBorderStyleRoundedRect;
    
    _horizontalLabel = [[UILabel alloc] init];
    _imageLabel = [[UILabel alloc] init];
    _selectBtn = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    
    [self addSubview:_opacitySlider];
    [self addSubview:_sizeLabel];
    [self addSubview:_opacityLabel];
    [self addSubview:_imageScaleSlider];
    [self addSubview:_tileSwitch];
    [self addSubview:_rangeLabel];
    [self addSubview:_tileLabel];
    [self addSubview:_verticalLabel];
    [self addSubview:_verticalField];
    [self addSubview:_horizontalField];
    [self addSubview:_horizontalLabel];
    [self addSubview:_imageLabel];
    [self addSubview:_selectBtn];
    
    [self setBackgroundColor:[UIColor whiteColor]];
    
}

- (void)createFrame {
    // y -- 40   height -- 30
    _opacitySlider.frame = CGRectMake(90, 40, KSCREEN_WIDTH - 100, 30);
    _imageScaleSlider.frame = CGRectMake(90, 80, KSCREEN_WIDTH - 100, 30);
    _tileSwitch.frame = CGRectMake(100, 160, 10, 10);
    _rangeLabel.frame = CGRectMake(10, 120, 100, 30);
    _tileLabel.frame = CGRectMake(10, 160, 100, 30);
    _sizeLabel.frame = CGRectMake(10, 80, 90, 30);
    _opacityLabel.frame = CGRectMake(10, 40, 90, 30);
    _verticalLabel.frame = CGRectMake(270, 160, 20, 30);
    _verticalField.frame = CGRectMake(295, 160, 80, 30);
    _horizontalLabel.frame = CGRectMake(165, 160, 20, 30);
    _horizontalField.frame = CGRectMake(185, 160, 80, 30);
    _selectBtn.frame = CGRectMake(150, 2, 227, 35);
    _imageLabel.frame = CGRectMake(10, 5, 150, 30);
    
    _selectBtn.layer.borderWidth = 1.0;
    _selectBtn.layer.borderColor = UIColor.blackColor.CGColor;
    [_selectBtn setTitle:@"Select Image" forState:UIControlStateNormal];
    [_selectBtn setTitleColor:UIColor.blackColor forState:UIControlStateNormal];
    _selectBtn.layer.cornerRadius = 7;
}

//- (void)addConstraint {
//    [self.opacityLabel mas_makeConstraints:^(MASConstraintMaker *make) {
//        make.left.equalTo(self).offset(10);
//        make.top.equalTo(self).offset(40);
//        make.right.equalTo(self.mas_right).offset(-10);
//    }];
//    [self.opacitySlider mas_makeConstraints:^(MASConstraintMaker *make) {
//        make.left.equalTo(self.mas_left).offset(90);
//        make.top.equalTo(self.mas_top).offset(40);
//        make.width.equalTo(@(KSCREEN_WIDTH - 100));
//        make.height.equalTo(@30);
//    }];
//}

- (void)assignData {
    _rangeLabel.text = @"Page Range";
    _tileLabel.text = @"Full Screen";
    _sizeLabel.text = @"Image Size";
    _opacityLabel.text = @"Opacity";
    _verticalLabel.text = @"Y:";
    _horizontalLabel.text = @"X:";
    _imageLabel.text = @"Image";
}

@end
